<?php

//add admin page
add_action( 'admin_menu', 'hait_admin_menu' );

function hait_admin_menu() {
	add_theme_page(
        __( 'About Hait', 'hait' ),
        __( 'About Hait', 'hait' ),
        'edit_theme_options',
        'about-hait',
        'hait_theme_info_page'
    );
}

function hait_theme_info_page(){

	if ( ! current_user_can( 'manage_options' ) ) {
		wp_die( esc_html__( 'You do not have sufficient permissions to access this page.', 'hait' ) );
	}

	$theme_info = wp_get_theme(); ?>

	<div class="wrap about-wrap theme-info-wrap">
		<h1>
			<?php
			/* translators: 1: Theme Name 2: Version of the theme */
			echo sprintf( esc_html__( 'Welcome to %1$s - %2$s', 'hait' ), esc_html( $theme_info->get( 'Name' ) ), esc_html( $theme_info->get( 'Version' ) ) );
			?>
		</h1>

		<div class="about-text">
			<?php echo esc_html( $theme_info->get( 'Description' ) ); ?>
		</div>

		<p>
			<a href="https://dandure.com/hait/" class="button button-primary" target="_blank"><?php echo esc_html__( ' View Demos', 'hait' ); ?></a>
			<a href="https://wphait.com/documentation/" class="button" target="_blank"><?php echo esc_html__( 'Documentation', 'hait' ); ?></a>
			<a href="https://wordpress.org/support/theme/hait/" class="button" target="_blank"><?php echo esc_html__( 'Support', 'hait' ); ?></a>
			<a href="https://wordpress.org/support/theme/hait/reviews/" class="button" target="_blank"><?php echo esc_html__( 'Leave a Review', 'hait' ); ?></a>
		</p>

		<div class="feature-section has-2-columns alignleft">
			<div class="card">
				<h3><?php echo esc_html__( 'Customize Everything', 'hait' ); ?></h3>
				<p><?php echo esc_html__( 'Start customizing every aspect of the website with customizer.', 'hait' ); ?></p>
				<p><a target="_self" href="<?php echo esc_url( wp_customize_url() ); ?>" class="button button-primary"><?php echo esc_html__( 'Go to Customizer', 'hait' ); ?></a></p>
			</div>

			<div class="card">
				<h3><?php echo esc_html__( 'Recommended Plugins', 'hait' ); ?></h3>
				<ol>
					<li><a href="https://wordpress.org/plugins/advanced-google-recaptcha/" target="_blank"><?php echo esc_html__( 'Advanced Google reCAPTCHA', 'hait' ); ?></a></li>
					<li><a href="https://wordpress.org/plugins/woocommerce-product-tabs/" target="_blank"><?php echo esc_html__( 'WooCommerce Product Tabs', 'hait' ); ?></a></li>
					<li><a href="https://wordpress.org/plugins/post-grid-elementor-addon/" target="_blank"><?php echo esc_html__( 'Post Grid Elementor Addon', 'hait' ); ?></a></li>
					<li><a href="https://wordpress.org/plugins/nifty-coming-soon-and-under-construction-page/" target="_blank"><?php echo esc_html__( 'Coming Soon & Maintenance Mode Page', 'hait' ); ?></a></li>
				</ol>
			</div>

			<div class="card">
				<h3><?php echo esc_html__( 'Customize Dashboard', 'hait' ); ?></h3>
				<p><?php echo esc_html__( 'Customize wp-admin interface of your website.', 'hait' ); ?></p>
				<ul>
					<li><a href="https://wordpress.org/plugins/admin-customizer/" target="_blank"><?php echo esc_html__( 'Admin Customizer', 'hait' ); ?></a></li>
				</ul>
			</div>
		</div>

	</div>
	<?php
}
